<?php
/**
* @version $Id: template.php Sat Dec 24 13:21:25 WST 2005 shaynebartlett
* @package J! Whois
* @copyright Copyright (C) 2005 theJ!factory. All rights reserved.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
* J! Whois is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

// NO DIRECT ACCESS
defined( '_VALID_MOS' ) or die( 'Restricted access' );


/* ------------------------------------------------------------------ */
//	Templates Class
//  Contains all template data
/* ------------------------------------------------------------------ */

class EP_Dev_Whois_Templates
{
	var $TEMPLATES;

	function EP_Dev_Whois_Templates()
	{
		$this->TEMPLATES['multiple_tlds'] = "[[header]]
<div align=\"center\">" . _JF_CHECK_MULTIPLE_TEXT . "</div>
<div align=\"center\"><form name='whois_search' method='POST' action='[[site-url]]'>
			<input type='hidden' name='task' value='WhoisSearch'>
			<input type='hidden' name='skip_additional' value='1'>
				<table>
					<tr>
					<td>http://www.</td><td><textarea rows='10' cols='40' name='domain'>[[user-domain]]</textarea></td>
					</tr>
				</table>
			<input type='submit' id='Submit' value='" . _JF_CHECK_AVAILABILITY . "'> 
</form></div>
[[footer]]";


		$this->TEMPLATES['header'] = "			<style type=\"text/css\">
				TABLE.whoisSearchTable
				{
					
				}

				TABLE.whoisPriceTable
				{
					border: 1px solid black;
				}

				TD.whoisPriceTable_ext
				{
					color: #13719F;
				}

				TD.whoisPriceTable_price
				{
					padding-left: 5px;
					padding-right: 15px;
				}
			</style>
		<div class=\"componentheading\">[[site-title]]</div>
		<div align='center'>[[pricetable]]</div><br>";


		$this->TEMPLATES['footer'] = "";

		$this->TEMPLATES['main'] = "[[header]]
[[searchbar]]
[[footer]]";

		$this->TEMPLATES['report'] = "[[header]]
[[searchbar]]
[[whoisreport]]
[[footer]]
		";

		$this->TEMPLATES['results'] = "[[header]]
[[searchbar]]
[[availabledomains]]
[[unavailabledomains]]
[[footer]]
		";


		$this->TEMPLATES['error'] = "[[header]]
[[searchbar]]
<div style=\"color: red; font-weight: bold;\">" . _JF_PROCCESS_ERROR . "</div>
[[error]]
<br><br>
[[footer]]
		";


		$this->TEMPLATES['searchbar'] = "<div align='center'><form name='whois_search' method='POST' action='[[site-url]]'>
			<input type='hidden' name='task' value='WhoisSearch'>
				<table>
					<tr>
					<td><div style=\"margin-top: 15px;\">http://www.<input type='text' name='domain' value='[[user-domain]]'><div align=\"right\"><small>(<a href=\"[[site-url]]task=MultipleWhoisSearch\">" . _JF_CHECK_MULTIPLE . "</a>)</small></div></div></td>
					<td>[[tld-checkboxes]]</td>
					</tr>
				</table>
			<input type='submit' id='Submit' value='" . _JF_CHECK_AVAILABILITY . "' class=\"button\"> 
</form></div>
";
		
		$this->TEMPLATES['availabledomains'] = "" . _JF_AVAILABLE . "<br>
[repeat]
<div>
<b>[[domain]].[[ext]]</b> - [[price]] (<a href='external-script-example.php?domain=[[domain]]&ext=[[ext]]'>" . _JF_ORDER_NOW . "</a>)
</div>
[/repeat]";

		$this->TEMPLATES['unavailabledomains'] = "" . _JF_UNAVAILABLE . "<br>
[repeat]
<div>
<b>[[domain]].[[ext]]</b> - <a href='[[whois-reporturl]]'>" . _JF_VIEW_WHOIS . "</a>    <a href='http://www.[[domain]].[[ext]]' target='_blank'>" . _JF_VIEW_WEBSITE ."</a>
</div>
[/repeat]";
	}
}