<?php
/**
* @version $Id: english.php Fri Dec 23 19:38:49 WST 2005 shaynebartlett
* @package J! Whois
* @copyright Copyright (C) 2005 theJ!factory. All rights reserved.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
* J! Whois is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

// NO DIRECT ACCESS
defined( '_VALID_MOS' ) or die( 'Restricted access' );

DEFINE ('_JF_ADMIN_WELCOME','Welcome to the administration panel of J!Whois. From here you can configure everything including nameservers, templates and eCommerce options.');

//Menus
DEFINE ('_JF_MAIN_MENU','Main Menu');
DEFINE ('_JF_MAIN','Main Page');
DEFINE ('_JF_SCRIPT_SETTINGS','Script Settings');
DEFINE ('_JF_SCRIPT_SETTINGS_TEXT','The Script Settings task allows you to modify specific global settings of the script. The settings include the script\'s absolute path as well as other general settings.');
DEFINE ('_JF_EDIT_TEMPLATES','Edit Templates');
DEFINE ('_JF_EDIT_TEMPLATES_TEXT','The Edit Templates task allows you to modify the appearance of the whois script using the J!Whois template system.');
DEFINE ('_JF_ERROR_SETTINGS','Error Settings');
DEFINE ('_JF_NAMESERVER_MENU','Nameserver Menu');
DEFINE ('_JF_ADD_NAMESERVER','Add Nameserver');
DEFINE ('_JF_EDIT_NAMESERVER','Edit Nameservers');
DEFINE ('_JF_EDIT_NAMESERVER_TEXT','Quickly manage all of the nameservers of the script. You can enable and disabled entire nameservers or just certain extensions. Each nameserver has a variety of custom settings.');
DEFINE ('_JF_NAMESERVER_VALIDATOR','Validate Nameservers');
DEFINE ('_JF_ECOMMERCE_MENU','eCommerce Menu');
DEFINE ('_JF_ECOMMERCE_SETTINGS','eCommerce Settings');
DEFINE ('_JF_ECOMMERCE_SETTINGS_TEXT','Turn the Whois Script into Part 1 of an order process through the eCommerce settings. Manage automatic TLD recommendations, currency formats, and a TLD price table!');
DEFINE ('_JF_EDIT_PRICES','Edit Pricing');
DEFINE ('_JF_EDIT_PRICES_TEXT','Quickly edit the prices of all of the TLDs currently configured to be recognized by the script.');
DEFINE ('_JF_OTHER_MENU','Other Menu');
DEFINE ('_JF_HELP','Help');

//SCRIPT SETTINGS
DEFINE ('_JF_SCRIPT_SETTINGS_INTRO','The settings below concern the settings of this script.');
DEFINE ('_JF_SITE_TITLE','Site Title');
DEFINE ('_JF_SITE_TITLE_DESC','The default title for your site.');

DEFINE ('_JF_ABOUT','About');
DEFINE ('_JF_ABOUT_TEXT','J!Whois is a Joomla! integration of EP Dev Whois by <a href=\"http://www.ep-dev.com\">EP-Dev.com</a>. For support please visit the J! Factory forum.');

//TEMPLATES TITLES
DEFINE ('_JF_TLD_ROWS','TLD Search row number');
DEFINE ('_JF_TLD_COLS','TLD Search column number');
DEFINE ('_JF_DEFAULT_EXT','Default Display Extensions');
DEFINE ('_JF_ALPHABETISE','Alphabetise TLD Search');
DEFINE ('_JF_SEARCH_BAR','Search Bar');
DEFINE ('_JF_AVAILABLE_DOMAINS','Available Domains');
DEFINE ('_JF_UNAVAILABLE_DOMAINS','Unavailable Domains');
DEFINE ('_JF_DEFAULT_HEADER','Default Header');
DEFINE ('_JF_DEFAULT_FOOTER','Default Footer');
DEFINE ('_JF_MAIN_TASK','Main task');
DEFINE ('_JF_MULTI_TLD_TASK','Multiple TLD task');
DEFINE ('_JF_ECOMMERCE_RESULTS_TASK','eCommerce results task');
DEFINE ('_JF_WHOISE_REPORT_TASK','Whois report task');
DEFINE ('_JF_ERROR_TASK','Error task');

//TEMPLATES TOOL TIPS
DEFINE ('_JF_TLD_ROWS_DESC','The number of rows of extensions to display in the search bar (if using check boxes).');
DEFINE ('_JF_TLD_COLS_DESC','The number of columns of extensions to display in the search bar (if using check boxes).');
DEFINE ('_JF_DEFAULT_EXT_DESC','The extensions that you want to display in the search box. You can leave this blank to display all extensions.<br>ex: com, net, org');
DEFINE ('_JF_ALPHABETISE_DESC','If enabled and default tld search display is blank, the script will automatically alphabetize all the TLDs. This is useful if you are using the drop down box for TLDs in your display.');
DEFINE ('_JF_SEARCH_BAR_DESC','The search bar will be displayed whereever [[searchbar]] is found within your templates.');
DEFINE ('_JF_AVAILABLE_DOMAINS_DESC','The available domains template will be used in Buy Mode to display the results of one or multiple queries on domains. This template will be used for all queries that resulted in the domain being available for registration.');
DEFINE ('_JF_UNAVAILABLE_DOMAINS_DESC','The unavailable domains template will be used in Buy Mode to display the results of one or multiple queries on domains. This template will be used for all queries that resulted in the domain being unavailable for registration (already registered).');
DEFINE ('_JF_DEFAULT_HEADER_DESC','This header will be displayed whenever [[header]] is found within your templates.');
DEFINE ('_JF_DEFAULT_FOOTER_DESC','This footer will be displayed whenever [[footer]] is found within your templates.');
DEFINE ('_JF_MAIN_TASK_DESC','This template will be used for the main / front task of the script.');
DEFINE ('_JF_MULTI_TLD_TASK_DESC','This template will be used for the multiple TLD task of the script, the task that allows one to check multiple root domains at one time (ex: mydomain.com, anotherdomain.com, thirddomain.net).');
DEFINE ('_JF_ECOMMERCE_RESULTS_TASK_DESC','This template will be used to display the results of the queries of domains in eCommerce, displaying id certain domains are available or not.');
DEFINE ('_JF_WHOISE_REPORT_TASK_DESC','This template will be used for displaying the task that contains the full whois report of a domain.');
DEFINE ('_JF_ERROR_TASK_DESC','This template will be used to display errors, such as when a user enters an invalid domain.');

// ERROR SETTINGS
DEFINE ('_JF_ERROR_SETTINGS_INTRO','The settings below concern the display errors of the script.');
DEFINE ('_JF_INCORRECT_DOMAIN_LENGTH','Incorrect Domain Length');
DEFINE ('_JF_INCORRECT_DOMAIN_FORMAT','Incorrect Domain Format');
DEFINE ('_JF_INVALID_EXTENSION','Invalid Extension');
DEFINE ('_JF_NO_EXTENSION','No Extension');
DEFINE ('_JF_UNKNOWN_ERROR','Unknown Error');

// ERROR SETTINGS TOOLTIPS
DEFINE ('_JF_INCORRECT_DOMAIN_LENGTH_DESC','The error that is displayed when the domain length is incorrect.');
DEFINE ('_JF_INCORRECT_DOMAIN_FORMAT_DESC','The error that is displayed when the domain format is incorrect.');
DEFINE ('_JF_INVALID_EXTENSION_DESC','The error that is displayed when an unsupported extension is used.<br />[[DATA-1]] - Unknown TLD.');
DEFINE ('_JF_NO_EXTENSION_DESC','The error that is displayed when no extension is specified and auto-search is turned off.');
DEFINE ('_JF_UNKNOWN_ERROR_DESC','The error that is displayed when an unknown error code is called.<br />[[DATA-0]] - Unknown error.');

// NEW NAMESERVER
DEFINE ('_JF_NEW_NAMESERVER_INTRO','Below new nameservers can be added.');
DEFINE ('_JF_NAMESERVER_ADDRESS','Nameserver Address');
DEFINE ('_JF_KEYWORD','Keyword');
DEFINE ('_JF_QUERY_FORMAT','Query Format');
DEFINE ('_JF_LIMITED_KEYWORD','Limit Keyword');
DEFINE ('_JF_LIMITED_QUERY_FORMAT','Limit Query Format');
DEFINE ('_JF_TIMEOUT_TIME','Timeout Time');
DEFINE ('_JF_ENABLED_EXT','Enabled Extensions');
DEFINE ('_JF_DISABLED_EXT','Disabled Extensions');
DEFINE ('_JF_ADD_NAMESERVER','Add Nameserver');

// NEW NAMESERVER TOOLTIPS
DEFINE ('_JF_NAMESERVER_ADDRESS_DESC','The address for this nameserver.<br>ex: whois.someserver.com');
DEFINE ('_JF_ENABLED_DESC','Select to enable or disable this nameserver.');
DEFINE ('_JF_KEYWORD_DESC','The keyword(s) to look for when querying a server. If this is found, then the script will assume the domain is available. If you want to make the script assume the domain is unavailable unless the keyword is found, place ^ in front of the keyword. Regular expressions are acceptable. This is CaSe SeNsiTive.');
DEFINE ('_JF_QUERY_FORMAT_DESC','The format of the query to send to the server. The tags <STRONG>[[DOMAIN]]</STRONG> and <STRONG>[[EXT]]</STRONG> will be replaced by the domain and extension of the query.<br>ex: <STRONG>[[DOMAIN]].[[EXT]]</STRONG>');
DEFINE ('_JF_LIMITED_KEYWORD_DESC','The limit keyword will be used when the script is trying to only check if the domain is available. Not all servers support this format, in which case you should just make it the same as the regular keyword. This is CaSe SeNsiTive.');
DEFINE ('_JF_LIMITED_QUERY_FORMAT_DESC','The limit format will be used when the script is trying to only check if the domain is available. Not all servers support this format, in which case you should just make it the same as the regular query format. The tags <strong>[[DOMAIN]]</strong> and <strong>[[EXT]]</strong> will be replaced by the domain and extension of the query.<br>ex: <strong>[[DOMAIN]].[[EXT]]</strong>');
DEFINE ('_JF_TIMEOUT_TIME_DESC','The maximum amount of time to spend trying to get a response from the nameserver (in seconds).');
DEFINE ('_JF_ENABLED_EXT_DESC','These extensions are enabled.<br>ex: com, net, org');
DEFINE ('_JF_DISABLED_EXT_DESC','These extensions are disabled.<br>ex: com, net, org');

// NAMESERVER SETTINGS (Many on this page previously defined above in New Nameserver)	
DEFINE ('_JF_NAMESERVER_SETTINGS','Nameserver Settings');
DEFINE ('_JF_NAMESERVER_SETTINGS_INTRO','The settings below concern the nameserver settings of your script. If you are having trouble with javascript, you can Disable Javascript and instead display all data on all nameservers.');
DEFINE ('_JF_NAMESERVER','Nameserver');
DEFINE ('_JF_STATUS','Status');
DEFINE ('_JS_SETTINGS','Settings');
DEFINE ('_JF_SHOW_HIDE','Show/Hide Settings');
DEFINE ('_JF_RECOGNISED_EXT','Recognised Extensions');
DEFINE ('_JF_ADD_REMOVE_EXT','Add / Remove Extensions');
DEFINE ('_JF_ADD_REMOVE_EXT_TEXT','You can select or deselect the extensions below in order to enable them or disable them.');
DEFINE ('_JF_SAVE_EXT','Save Extension');

// VALIDATE NAMESERVER
DEFINE ('_JF_VALIDATE_INTRO','The nameserver validator allows you to quickly check one or multiple nameservers against its current keyword setting in the whois script. This allows you to quickly review nameservers and find those which are configured incorrectly.');
DEFINE ('_JF_SERVER','Server');
DEFINE ('_JF_ALL_SERVERS','All Servers');
DEFINE ('_JF_EXTENSIONS','Extensions');
DEFINE ('_JF_ALL_EXTENSIONS','All Extensions');
DEFINE ('_JF_MAX_QUERIES','Maximum Queries / task');
DEFINE ('_JF_CUSTOM_QUERY','Custom Query');
DEFINE ('_JF_DOMAIN','Domain');
DEFINE ('_JF_SERVER_DELAY','Server Delay');
DEFINE ('_JF_START_VALIDATOR','Start Validator');
DEFINE ('_JF_VALIDATOR_NOTE','<div style=\"color: blue\">NOTE: Depending on your settings above, the script may take several minutes to fetch and display the results. Please be patient after clicking the Start Validator button.</div>');
DEFINE ('_JF_CHECKING','Checking for the domain');
DEFINE ('_JF_WHOIS_REPORT','Whois Report');
// VALIDATE NAMESERVER TOOLTIPS
DEFINE ('_JF_SERVER_DESC','You can select a specific nameserver to check or you can select <strong>All</strong> to check all nameservers.');
DEFINE ('_JF_EXTENSIONS_DESC','You can select to check only a specific extension or to check them all.');
DEFINE ('_JF_MAX_QUERIES_DESC','If you have a large amount of nameservers being checked, you may want to only check so many at a time, preventing your server from being bogged down.');
DEFINE ('_JF_CUSTOM_QUERY_DESC','You can set a custom query to be used or leave this blank to use the default query for this nameserver.<br>Valid Tags:<br><strong>[[DOMAIN]]</strong> - domain that is being queried.<br><strong>[[EXT]]</strong> - Extension that is being queried.');
DEFINE ('_JF_CUSTOM_KEYWORD_MATCH','Custom Keyword Match');
DEFINE ('_JF_DOMAIN_DESC','You can specifiy a specific domain to be checked. Please not that this domain should be AVAILABLE on all nameservers, otherwise the script will give incorrect reports. It is HIGHLY recommended that you leave this field blank (so that a random domain will be generated).');
DEFINE ('_JF_SERVER_DELAY_DESC','When querying the same server it is best to insert an intentional delay to avoid flooding the server. If you set it too low the whois server will return incorrect data. If you set it too high the script will take too long to execute. The recommended setting is 1 (second).');

// ECOMMERCE SETTINGS
DEFINE ('_JF_ECOMMERCE_MODE','eCommerce Mode');
DEFINE ('_JF_AUTO_TLD_SEARCH','Automatic TLD Search');
DEFINE ('_JF_CURRENCY_FORMAT','Currency Format');
DEFINE ('_JF_CURRENCY_STRING','Currency String');
DEFINE ('_JF_PRICE_TABLE','Price table');
DEFINE ('_JF_PRICE_TABLE_ROWS','Price Table Rows');
DEFINE ('_JF_PRICE_TABLE_COLS','Price Table Columns');
DEFINE ('_JF_PRICE_TABLE_TLDS','Price Table TLD\'s)');

// ECOMMERCE SETTINGS TOOLTIPS
DEFINE ('_JF_ECOMMERCE_MODE_DESC','eCommerce mode affects the entire script. Enabling eCommerce Mode will result in the script assuming that it will eventually pass the domain to a script that will handle the purchase of an	available domain. eCommerce mode will also give alternative TLDs to domains that are not available. If eCommerce mode is disabled, then the script will act as a normal whois script... displaying the whois information on every request, as opposed to just saying if the domain is available or not.');
DEFINE ('_JF_AUTO_TLD_SEARCH_DESC','You can set it to automatically check if certain alternative extensions for a given domain are available. You can specify those here. Leave blank to disable.<br>ex: com, net, org');
DEFINE ('_JF_CURRENCY_FORMAT_DESC','The format of the currency that you want to display the cost of the domains with.');
DEFINE ('_JF_CURRENCY_STRING_DESC','Sometimes the same symbol is used for currency in different countries and it can be confusing as to which currency your site is using. The currency string will be prepended to the final format price of a domain. This can be left blank.<br>Ex: USD (US Dollar) will display prices as USD $9.95.');
DEFINE ('_JF_PRICE_TABLE_DESC','The price table automatically creates a table of prices for specific domains.');
DEFINE ('_JF_PRICE_TABLE_ROWS_DESC','The maximum number of rows that will be displayed in the price table.');
DEFINE ('_JF_PRICE_TABLE_COLS_DESC','The maximum number of columns that will be displayed in the price table.');
DEFINE ('_JF_PRICE_TABLE_TLDS_DESC','These TLDs will be shown in the price table in the order you list here. You can leave this blank to display the default TLDs.<br>ex: com, net, org');

// PRICING
DEFINE ('_JF_PRICING','Pricing');
DEFINE ('_JF_EXTENSION','Extension');
DEFINE ('_JF_PRICE','Price');
DEFINE ('_JF_PRICING_INTRO','Below you can set the prices of the extensions currently recognized by the script. If you do not see an extension here, then you likely do not have a nameserver configured for it. Enabled extensions are in <span style=\"color: green;\">green</span>.');

// OTHERS
DEFINE ('_JF_SAVE_CONFIG','Save Details');
DEFINE ('_JF_JAVA_TROUBLES','If you are having trouble with javascript, you can <a href=\'?task=NameserverSettings&amp;displayall=1\'>Disable Javascript</a> and instead display all data on all nameservers.');
DEFINE ('_JF_CUSTOM_KEYWORD_MATCH_DESC','You can set a custom keyword match or leave this blank to use the default keyword for this nameserver.<br>Valid Tags:<br><strong>[[KEYWORD]]</strong> - default keyword of this nameserver.');
DEFINE ('_JF_FORUM','J!Whois Forum');
DEFINE ('_JF_TRACKER','J!Whois Tracker (for bugs)');

//FORMS
DEFINE ('_JF_ENABLED','Enabled');
DEFINE ('_JF_DISABLED','Disabled');
DEFINE ('_JF_DELETE','Delete');

// FRONTEND (PUBLIC DISPLAY)
DEFINE ('_JF_SEARCH_RESULTS','Domain Name Search Results');
DEFINE ('_JF_WHOIS_REPORT','Whois Report');
DEFINE ('_JF_CHECK_AVAILABILITY','Check Availability');
DEFINE ('_JF_CHECK_MULTIPLE','Check Multiple Domains');
DEFINE ('_JF_CHECK_MULTIPLE_TEXT','Please enter the full domains that you want to check, one per line.');
DEFINE ('_JF_AVAILABLE','Available:');
DEFINE ('_JF_UNAVAILABLE','Unavailable:');
DEFINE ('_JF_ORDER_NOW','Buy Now');
DEFINE ('_JF_VIEW_WHOIS','View Whois');
DEFINE ('_JF_VIEW_WEBSITE','View Website');
DEFINE ('_JF_PROCCESS_ERROR','There was an error processing your request:');
?>